New Search

Multiple format string vulnerabilities in (1) qtextedit.cpp (2) qdatatable.cpp (3) qsqldatabase.cpp (4) qsqlindex.cpp (5) qsqlrecord.cpp (6) qglobal.cpp and (7) qsvgdevice.cpp in QTextEdit in Trolltech Qt 3 before 3.3.8 20070727 allow remote attackers to execute arbitrary code via format string specifiers in text used to compose an error message.

oval:org.mitre.oval:def:9690

Multiple format string vulnerabilities in (1) qtextedit.cpp (2) qdatatable.cpp (3) qsqldatabase.cpp (4) qsqlindex.cpp (5) qsqlrecord.cpp (6) qglobal.cpp and (7) qsvgdevice.cpp in QTextEdit in Trolltech Qt 3 before 3.3.8 20070727 allow remote attackers to execute arbitrary code via format string specifiers in text used to compose an error message.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • CentOS Linux 5
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 3
  • CentOS Linux 4
  • Oracle Linux 4
  • Oracle Linux 5
  • CentOS Linux 3
  • Red Hat Enterprise Linux 4
Class:
vulnerability
Reference(s):
  • CVE-2007-3388
Product(s):